SELECT Код_способа_заземления INTO #TmpTable FROM Справочник_способов_заземления
SET IDENTITY_INSERT Справочник_способов_заземления ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 1) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (1,'водопровод')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 2) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (2,'железобетонная конструкция сооружения')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 3) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (3,'контур металлических электродов')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 4) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (4,'металлическая конструкция сооружения')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 5) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (5,'металлическая оболочка кабеля')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 6) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (6,'одиночный металлический электрод')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_способа_заземления = 7) INSERT INTO Справочник_способов_заземления (Код_способа_заземления,Описание) VALUES (7,'ряд металлических электродов')

SET IDENTITY_INSERT Справочник_способов_заземления OFF
DROP TABLE #TmpTable
